% Analyse2.m extracts data from the European Data Format (.edf) to MATLAB
% for 90 users for the base case and for the 2 tasks for all the electrodes.
% Analyse3.m separates the data for the C3, C4 and Cz channels. The
% nomenclature of the variables is like this - b1_t1_c3 corresponds to the
% data for task-1 and electrode c3. Similarly b1_t2_c4 corresponds to data
% for task-2 for the C4 electrode.
% Analyse4.m filters the signals using a bandpass butterfield filter of
% range 2 to 45 Hz.
% Analyse5.m takes the average of the filtered signals over all the users
% for the corresponding tasks and the corresponding electrode.
% Analyse6.m does to the base signal what Analyse3.m did to the task
% signals.
% Analyse7.m ~ Analyse4.m
% Analyse8.m ~ Analyse5.m
% PSD.m plots the PSD graphs of the averaged signal corresponding to a
% single electrode C3. PSD2.m does the same for C4.
% PSD 90.m obtains the PSD data for all the separate 90 users.
% The filenames in the dataset are as follows: 
% E1(1:90) corresponds to the files of the base case with eyes opened for all the 90 users.
% E2(1:90) corresponds to the files of the base case with eyes closed for all the 90 users.
% T1(1:90) corresponds to the files of task1 for all the 90 users.
% T2(1:90) corresponds to the files of task1 for all the 90 users.
% The data was taken from : http://www.physionet.org/pn4/eegmmidb/
% The edfRead file was obtained from:
% http://www.mathworks.in/matlabcentral/fileexchange/31900-edfread


